Bug 112452 - Undo delete of cell comment looses comment position
Summary: Undo delete of cell comment looses comment position
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Calc-Comments Undo-Redo
  Show dependency treegraph
 
Reported: 2017-09-17 20:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-06-27 09:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-09-17 20:00:41 UTC
Steps:
1. open attachment 68958 [details]
2. notice location of comment for B6
3. delete comment in B6
4. undo delete
5. location of comment for B6 is different

regression introduced in 5.1 as it works correctly in 5.0.6.2.

Version: 6.0.0.0.alpha0+
Build ID: 7315f325ff7ada3d6bd85a471058fdaeaff8cdb0
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-17_06:58:21
Locale: en-US (en_US.UTF-8); Calc: group
Comment 2 raal 2017-09-21 15:39:43 UTC
This seems to have begun at the below commit.
Adding Cc: to Dennis Francis; Could you possibly take a look at this one? Thanks

122228e8fa47941375b9fcb3b5c41ee4945880cb is the first bad commit
commit 122228e8fa47941375b9fcb3b5c41ee4945880cb
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Mar 9 16:33:39 2016 -0800

    source sha:7c0f6b9d0fb8d7d9e54865ccf1047bb8f8148101
author	Dennis Francis <dennisfrancis.in@gmail.com>	2016-02-12 20:59:12 (GMT)
committer	Eike Rathke <erack@redhat.com>	2016-03-08 18:06:09 (GMT)
commit	7c0f6b9d0fb8d7d9e54865ccf1047bb8f8148101 (patch)
tree	fa3c963516d2c4b481df72591b362fd77b7ba2b9
parent	10f048bafa52bc443249bf7abe23ad5c96f98f80 (diff)
tdf#94561 : Create notes drawing objects only once on sheet copy
Comment 3 Xisco Faulí 2018-01-25 09:25:59 UTC Comment hidden (obsolete)
Comment 4 Emil Tanev 2018-04-28 07:56:35 UTC
Also, Cut-Paste for the cell containing the comment

https://screencast-o-matic.com/watch/cFfuiLbDVw
Comment 5 Commit Notification 2018-06-26 13:07:59 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eebd2c72ce2d6003975de6b5bfe14b204b382a6e

tdf#112452 : Refine the fix for tdf#94561

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-06-27 08:02:37 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b491bb4b1e2eb6745ced3e958550ea8526cd2f2a&h=libreoffice-6-1

tdf#112452 : Refine the fix for tdf#94561

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-06-27 09:12:47 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 6ebc026e34d0c119067e7dfbad8d932f92844760
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Dennis, Thanks for fixing this!!